## polymake 2.14

=== Makefile ===
#  Copyright (c) 1997-2015
#  Ewgenij Gawrilow, Michael Joswig (Technische Universitaet Berlin, Germany)
#  http://www.polymake.org
#
#  This program is free software; you can redistribute it and/or modify it
#  under the terms of the GNU General Public License as published by the
#  Free Software Foundation; either version 2, or (at your option) any
#  later version: http://www.gnu.org/licenses/gpl.txt.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#-----------------------------------------------------------------------------

#
#  Building and installation
#
.PHONY: all compile install install-arch install-shared \
	install-arch-prep docs release-docs clean clean-arch distclean TAGS RTAGS test

.shell := $(firstword $(wildcard /bin/bash /usr/bin/bash /usr/local/bin/bash))
ifdef .shell
  SHELL := ${.shell}
endif

ProjectTop := ${CURDIR}
include support/utils.make
ifndef BuildDir
  BuildDir := $(call _LocateBuildDir)
  ifndef BuildDir
    $(error CONFIGURATION ERROR)
  endif
endif

### load configuration
include ${BuildDir}/conf.make

### default target
all : compile

# core applications to build
Apps := $(notdir $(wildcard apps/*))

# list of BundledExts comes from conf.make, already sorted by dependencies
# thus both the java make targets and the extensions are build in the correct order
#
# append those not in the list to make sure that newly created extensions are also built
BundledExts += $(filter-out ${BundledExts},$(notdir $(wildcard ${BuildDir}/bundled/*)))

BundledExtsWithMakefile := $(patsubst %/Makefile,${ProjectTop}/%,$(wildcard $(patsubst %,bundled/%/Makefile,${BundledExts})))

define _MakeApp
	$(MAKE) -C $(firstword $(3) ${BuildDir})/apps/$(1) AppName=$(1) $(2)

endef

define _MakeInBundledExt
	$(MAKE) -C $(1) -f Makefile $(2) ProjectTop=${ProjectTop} BuildDir=$(CURDIR)/${BuildDir}/bundled/$(notdir $(1))

endef

define _MakeAppsInExt
	$(foreach a, $(notdir $(wildcard bundled/$(1)/apps/*)), $(call _MakeApp,$a,$(2),${BuildDir}/bundled/$(1)))
endef
define _MakeApps
	$(MAKE) -C ${BuildDir}/lib/core $(1) Apps="${Apps}"
	$(foreach a, ${Apps}, $(call _MakeApp,$a,$(1)))
	$(foreach e, ${BundledExts}, $(call _MakeAppsInExt,$e,$(1)))
endef
ifdef BundledExtsWithMakefile
  define _MakeInBundledExtensions
    $(foreach e, ${BundledExtsWithMakefile},$(call _MakeInBundledExt,$e,$(1)))
  endef
else
  _MakeInBundledExtensions :=
endif

define _InstallSubdir
${PERL} ${INSTALL_PL} -m ${DirMask} -U $(2) $(1) ${InstallTop}/$(1)

endef
define _CreateDir
${PERL} ${INSTALL_PL} -d -m ${DirMask} $(1)

endef

CallPolymake := $(if ${ARCHFLAGS},$(if $(findstring arch,${PERL}),,arch ${ARCHFLAGS})) ${PERL} perl/polymake

compile:
	@+$(call _MakeApps,compile)
	@+$(call _MakeInBundledExtensions,compile)

### installation

# scripts in support/ which should not be copied to the final installation location
InstHelpers := configure.pl convert_main_script find-provides find-requires

define _InstallSharedInApp
	$(foreach d, perllib rules scripts, $(if $(wildcard $(1)/$d), $(call _InstallSubdir,$(1)/$d)))
endef
define _InstallSharedInExt
	$(if $(wildcard bundled/$(1)/scripts), ${PERL} ${INSTALL_PL} -m ${DirMask} bundled/$(1)/scripts ${InstallTop}/scripts)
	$(foreach a, $(wildcard bundled/$(1)/apps/*), $(call _InstallSharedInApp,$a))
endef
define _InstallShared
	$(foreach a, ${Apps}, $(call _InstallSharedInApp,apps/$a))
	$(foreach e, ${BundledExts}, $(call _InstallSharedInExt,$e))
endef

install : install-shared install-arch

install-arch : all install-arch-prep
	@+$(call _MakeApps,install)
	[ -d ${InstallBin} ] || $(call _CreateDir, ${InstallBin})
	${PERL} support/convert_main_script --bindir ${InstallBin} \
		$(if ${PREFIX},--prefix ${PREFIX}) $(if ${FinkBase},--perllib ${FinkBase}/lib/perl5) \
		InstallTop=${FinalInstallTop} InstallArch=${FinalInstallArch} Arch="${Arch}"
	rm -f ${InstallArch}/conf.make
	{ sed -e '/Install.*=/ $(if ${PREFIX}, s:^\(Install.*=\)${PREFIX}:override \1$${PREFIX}:',\
					       s:^:override :') \
	      -e '/INSTALL_PL=/ s:=.*:=$${InstallTop}/support/install.pl:' \
	      -e '/DESTDIR=/ { s/^/override /; q; }' \
	      ${BuildDir}/conf.make; \
	  $(if ${PREFIX}, echo "PREFIX=${PREFIX}";) \
	} >${InstallArch}/conf.make
	chmod 444 ${InstallArch}/conf.make
	$(foreach e, ${BundledExts}, \
	  rm -f ${InstallArch}/bundled/$e/conf.make; \
	  sed -e 's|^include .*/conf\.make|include ${InstallArch}/conf.make|' ${BuildDir}/bundled/$e/conf.make >${InstallArch}/bundled/$e/conf.make; \
	  chmod 444 ${InstallArch}/bundled/$e/conf.make; )
	@+$(call _MakeInBundledExtensions,install-arch)

install-arch-prep:
	$(call _CreateDir, ${InstallArch} $(patsubst %, ${InstallArch}/bundled/%/lib, ${BundledExts}))

install-shared:
	$(call _CreateDir, ${InstallTop})
	$(call _InstallSubdir,perllib)
	$(call _InstallShared)
	@+$(call _MakeApps, install-src)
	$(call _InstallSubdir,povray)
	$(call _InstallSubdir,resources)
	$(call _InstallSubdir,scripts)
	$(call _InstallSubdir,xml)
	$(call _InstallSubdir,support,$(foreach f, ${InstHelpers}, -X $f))
	@+$(call _MakeInBundledExtensions,install-arch)

ifdef DeveloperMode

### unit tests

test : compile
	$(if $(filter y% Y%,${Debug}),POLYMAKE_CLIENT_SUFFIX=-d) ${CallPolymake} \
	  --script run_testcases $(if $(filter k,$(MAKEFLAGS)),--keep-going) $(if ${Shuffle},--shuffle $(filter-out y% Y%,${Shuffle})) --applications ${Apps}

### maintenance

tagsFLAGS = -R -e -f $@ --exclude=.svn --exclude='.\#*' --exclude='\#*' --exclude='*~'

TAGS:
	ctags ${tagsFLAGS} --language-force=c++ lib apps/*/{src,include} bundled/*/apps/*/{src,include}
RTAGS:
	ctags ${tagsFLAGS} --language-force=perl --exclude=testsuite \
			   perl perllib apps/*/{perllib,rules,scripts} scripts support/*.pl apps/*/testsuite/*/test*.pl \
			   $(wildcard $(addprefix bundled/*/apps/*/, perllib rules scripts testsuite/*/test*.pl))

include support/export.make

### separate builds in selected bundled extensions

%-bundled :
	+@$(call _MakeInBundledExtensions,$*)

endif  # DeveloperMode

### automatic part of documentation

# generate the doc pages describing the current configuration, including known extensions
docs:
	${CallPolymake} --script generate_docs ${InstallDoc} ${Apps}
	$(if ${DeveloperMode}, ${CallPolymake} --script doxygen ${InstallDoc}/PTL $(if ${Verbose},, >/dev/null 2>&1))

# constrain the documentation to the core application
release-docs:
	${CallPolymake} --ignore-config --script generate_docs ${DocOptions} ${InstallDoc} ${Apps}

### cleanup

clean-arch:
	@+$(call _MakeApps,clean)
	@+$(call _MakeInBundledExtensions,clean)

clean : clean-arch
	rm -rf doc_build

distclean:
	rm -rf build* doc_build


# Local Variables:
# mode: Makefile
# End:

=== debian/changelog ===
polymake (2.14-2) unstable; urgency=medium

  * update debian/copyright for missing license

 -- David Bremner <bremner@debian.org>  Thu, 23 Jul 2015 15:35:15 +0200

polymake (2.14-1) unstable; urgency=low

  * Initial debian upload (Closes: #461976)
  
 -- David Bremner <bremner@debian.org>  Tue, 03 Mar 2015 15:03:09 +0100




	
	

=== debian/control ===
Source: polymake
Section: math
Priority: optional
Maintainer: David Bremner <bremner@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libperl-dev,
 libxml2-dev, libgmp-dev, liblrsgmp-dev, libmpfr-dev, libbliss-dev, libboost-dev,
 libppl-dev, libcdd-dev (>= 094g~)
Standards-Version: 3.9.6
Homepage: http://www.polymake.org/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/polymake.git
Vcs-Git: git://anonscm.debian.org/collab-maint/polymake.git

Package: polymake
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},  libterm-readline-gnu-perl,
	 libxml-libxml-perl, libxml-writer-perl, libxml-libxslt-perl,
	 libmpfr-dev, g++, make,
	 ${perl:Depends}
Recommends: graphviz, gfan, sketch, xdg-utils, iceweasel | chromium | conkeror
Suggests: povray, texlive-pictures
Description: Tool for algorithmic discrete geometry
 Polymake started out as a tool for the algorithmic treatment of convex
 polyhedra. By now it also deals with finite simplicial complexes,
 tight spans of finite metric spaces, polyhedral surfaces, and other
 discrete mathematical objects.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS

%:
	dh $@ --parallel

override_dh_auto_configure:
	./configure --prefix=/usr --without-java --without-callable\
		CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}" \
		LDFLAGS="${LDFLAGS}" CXXOPT="-O2"

override_dh_auto_test:
	# do nothing

override_dh_auto_clean:
	# avoid calling configure to clean
	rm -rf build.*

override_dh_perl:
	dh_perl usr/lib/polymake/perlx

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3
opts=dversionmangle=s/\+dfsg\d+$// \
	http://www.opt.tu-darmstadt.de/polymake/doku.php/download/start/ \
	http://www.opt.tu-darmstadt.de/polymake/lib/exe/fetch.php/download/polymake-(\d+.\d+.\d+).tar.bz2

## polymake 3.0r1

=== Makefile ===
--- 
+++ 
@@ -144,7 +144,7 @@
 	$(call _InstallSubdir,scripts)
 	$(call _InstallSubdir,xml)
 	$(call _InstallSubdir,support,$(foreach f, ${InstHelpers}, -X $f))
-	@+$(call _MakeInBundledExtensions,install-arch)
+	@+$(call _MakeInBundledExtensions,install-shared)
 
 ifdef DeveloperMode
 
@@ -152,7 +152,7 @@
 
 test : compile
 	$(if $(filter y% Y%,${Debug}),POLYMAKE_CLIENT_SUFFIX=-d) ${CallPolymake} \
-	  --script run_testcases $(if $(filter k,$(MAKEFLAGS)),--keep-going) $(if ${Shuffle},--shuffle $(filter-out y% Y%,${Shuffle})) --applications ${Apps}
+	  --script run_testcases $(if ${Shuffle},--shuffle $(filter-out y% Y%,${Shuffle})) --applications ${Apps}
 
 ### maintenance

=== bundled/java/Makefile ===
#  Copyright (c) 1997-2015
#  Ewgenij Gawrilow, Michael Joswig (Technische Universitaet Berlin, Germany)
#  http://www.polymake.org
#
#  This program is free software; you can redistribute it and/or modify it
#  under the terms of the GNU General Public License as published by the
#  Free Software Foundation; either version 2, or (at your option) any
#  later version: http://www.gnu.org/licenses/gpl.txt.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#-----------------------------------------------------------------------------

include ${ProjectTop}/support/java_in_extension.make

clean ::
	$(if $(filter y,${JavaBuild}),rm -rf ${JarDir})

=== bundled/javaview/Makefile ===
#  Copyright (c) 1997-2015
#  Ewgenij Gawrilow, Michael Joswig (Technische Universitaet Berlin, Germany)
#  http://www.polymake.org
#
#  This program is free software; you can redistribute it and/or modify it
#  under the terms of the GNU General Public License as published by the
#  Free Software Foundation; either version 2, or (at your option) any
#  later version: http://www.gnu.org/licenses/gpl.txt.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#-----------------------------------------------------------------------------

include ${ProjectTop}/support/java_in_extension.make

=== bundled/group/external/permlib/test/CMakeLists.txt ===
find_package(Boost 1.34.1 REQUIRED unit_test_framework)

include_directories(../include)

set(executables test-base test-trans test-generators test-partition test-permutation 
    test-search-setstabilizer test-symmetric-group test-search-matrixauto test-orbit-lex-min 
    test-api test-test test-export test-abstract-groups)

foreach(_exec ${executables})
  add_executable (${_exec} "${_exec}.cpp")
  add_test(${_exec} ${_exec})
  target_link_libraries(${_exec} boost_unit_test_framework-mt)
endforeach(_exec)

=== bundled/libnormaliz/external/libnormaliz/libnormaliz/Makefile ===
##
## Makefile for libnormaliz
##
include ../Makefile.configuration

LIBSOURCES = $(wildcard *.cpp)
LIBHEADERS = $(wildcard *.h)

CXXFLAGS += -I ..

default: libnormaliz.a

all: default

libnormaliz.o: $(LIBHEADERS) $(LIBSOURCES) libnormaliz-impl.cpp
	$(CXX) $(CXXFLAGS) $(NORMFLAGS) -c libnormaliz-impl.cpp -o libnormaliz.o

cone_property.o: cone_property.h cone_property.cpp
	$(CXX) $(CXXFLAGS) $(NORMFLAGS) -c cone_property.cpp -o $@

offload_handler.o: $(LIBHEADERS) offload_handler.cpp
	$(CXX) $(CXXFLAGS) $(NORMFLAGS) -c offload_handler.cpp -o $@

bottom.o: $(LIBHEADERS) bottom.cpp
	$(CXX) $(CXXFLAGS) $(NORMFLAGS) -c bottom.cpp -o $@

cone_helper.o: $(LIBHEADERS) cone_helper.cpp
	$(CXX) $(CXXFLAGS) $(NORMFLAGS) -c cone_helper.cpp -o $@

hilbert_series.o: $(LIBHEADERS) HilbertSeries.cpp
	$(CXX) $(CXXFLAGS) $(NORMFLAGS) -c HilbertSeries.cpp -o $@

libnormaliz-templated.o: $(LIBHEADERS) $(LIBSOURCES) libnormaliz-templated.cpp
	$(CXX) $(CXXFLAGS) $(NORMFLAGS) -c libnormaliz-templated.cpp -o $@

libnormaliz.a: cone_property.o cone_helper.o hilbert_series.o libnormaliz-templated.o bottom.o offload_handler.o
	ar -cr $@ $^

clean:
	-rm -f *.o
	-rm -f libnormaliz.a

.PHONY : default clean all

=== debian/changelog ===
polymake (3.0r1-4) unstable; urgency=medium

  * Drop support for armhf, mips, mipsel; these all OOM compiling
    rel_int_point.o at O1 and linking at O0.

 -- David Bremner <bremner@debian.org>  Wed, 03 Feb 2016 19:54:48 -0400

polymake (3.0r1-3) unstable; urgency=medium

  * fix typo in optimization level calculation
  * Use -O1 instead of -O0 for weak arches; -O0 causes link time explosion

 -- David Bremner <bremner@debian.org>  Mon, 01 Feb 2016 22:17:18 -0400

polymake (3.0r1-2) unstable; urgency=medium

  * Drop support for armel
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=58938

  * Reduce optimization levels on armhf, mips, and mipsel

 -- David Bremner <bremner@debian.org>  Sun, 31 Jan 2016 20:40:25 -0400

polymake (3.0r1-1) unstable; urgency=medium

  * New upstream bugfix release
    - fix incompatibility of the Integer type with libnormaliz on 32bit
      platforms (Closes: #812431).

 -- David Bremner <bremner@debian.org>  Tue, 26 Jan 2016 17:29:40 -0400

polymake (3.0-2) unstable; urgency=medium

  * Limit parallel builds to allow 2G per process. Memory starvation +
    optimistic buildd configuration = fail on armel and armhf

 -- David Bremner <bremner@debian.org>  Sat, 23 Jan 2016 20:47:25 -0400

polymake (3.0-1) unstable; urgency=medium

  * Major new upstream release.

 -- David Bremner <bremner@debian.org>  Fri, 22 Jan 2016 17:18:58 -0400

polymake (2.14r1-2) unstable; urgency=medium

  * Cherry pick f293923ae201 (gmp 6.1 problems with libnormaliz)(Closes: #807368).

 -- David Bremner <bremner@debian.org>  Tue, 08 Dec 2015 10:25:31 -0400

polymake (2.14r1-1) unstable; urgency=medium

  * New upstream bugfix release
  * support for gcc 5.x
  * Bug fix: "FTBFS with perl 5.22: compile failure", thanks to Dominic
    Hargreaves (Closes: #796923).

 -- David Bremner <bremner@debian.org>  Wed, 30 Sep 2015 22:32:09 -0300

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Vcs-Git: git://anonscm.debian.org/collab-maint/polymake.git
 
 Package: polymake
-Architecture: any
+Architecture: any-amd64 any-i386 arm64 powerpc ppc64el s390x alpha hppa hurd-i386 m68k mips64el ppc64 sh4 sparc64 x32
 Depends: ${shlibs:Depends}, ${misc:Depends},  libterm-readline-gnu-perl,
 	 libxml-libxml-perl, libxml-writer-perl, libxml-libxslt-perl,
 	 libmpfr-dev, g++, make,

=== debian/rules ===
--- 
+++ 
@@ -7,15 +7,30 @@
 CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
 CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
 LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
+# 2G per CPU seems OK.
+ifeq ($(wildcard /proc/meminfo),)
+	MAX_CPUS=1
+else
+	MAX_CPUS=$(shell awk '/^MemTotal/ { print int($$2/(2048*1024)+0.5) }' /proc/meminfo)
+endif
+
+ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
+WEAK_ARCHES="mips mipsel armhf"
+ifneq (,$(findstring ${ARCH},${WEAK_ARCHES}))
+CXXOPT="-O1"
+else
+CXXOPT="-O2"
+endif
+
 export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
 
 %:
-	dh $@ --parallel
+	dh $@ --max-parallel="${MAX_CPUS}"
 
 override_dh_auto_configure:
 	./configure --prefix=/usr --without-java --without-callable\
 		CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}" \
-		LDFLAGS="${LDFLAGS}" CXXOPT="-O2"
+		LDFLAGS="${LDFLAGS}" CXXOPT="${CXXOPT}"
 
 override_dh_auto_test:
 	# do nothing

## polymake 3.0r2

=== debian/changelog ===
polymake (3.0r2-2) unstable; urgency=medium

  * Bug fix: force . in @INC for configure, thanks
    to Dominic Hargreaves (Closes: #835432).

 -- David Bremner <bremner@debian.org>  Mon, 29 Aug 2016 16:51:55 -0300

polymake (3.0r2-1) unstable; urgency=medium

  * New upstream bugfix release, in particular support gcc 6
    and perl 5.24
  * drop dependency on PPL due to (temporary?) PPL build failures

 -- David Bremner <bremner@debian.org>  Wed, 27 Jul 2016 14:03:36 +0900

=== debian/control ===
Source: polymake
Section: math
Priority: optional
Maintainer: David Bremner <bremner@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               libbliss-dev,
               libboost-dev,
               libcdd-dev (>= 094g~),
               libgmp-dev,
               liblrsgmp-dev,
               libmpfr-dev,
               libperl-dev,
               libxml2-dev
Standards-Version: 3.9.6
Homepage: http://www.polymake.org/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/polymake.git
Vcs-Git: git://anonscm.debian.org/collab-maint/polymake.git

Package: polymake
Architecture: any-amd64 any-i386 alpha arm64 hppa hurd-i386 m68k mips64el powerpc ppc64 ppc64el s390x sh4 sparc64 x32
Depends: g++,
         libmpfr-dev,
         libterm-readline-gnu-perl,
         libxml-libxml-perl,
         libxml-libxslt-perl,
         libxml-writer-perl,
         make,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: gfan, graphviz, iceweasel | chromium | conkeror, sketch, xdg-utils
Suggests: povray, texlive-pictures
Description: Tool for algorithmic discrete geometry
 Polymake started out as a tool for the algorithmic treatment of convex
 polyhedra. By now it also deals with finite simplicial complexes,
 tight spans of finite metric spaces, polyhedral surfaces, and other
 discrete mathematical objects.

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 	dh $@ --max-parallel="${MAX_CPUS}"
 
 override_dh_auto_configure:
-	./configure --prefix=/usr --without-java --without-callable\
+	./configure --prefix=/usr --without-java --without-callable --without-ppl\
 		CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}" \
 		LDFLAGS="${LDFLAGS}" CXXOPT="${CXXOPT}"

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

version=4
opts=dversionmangle=s/\+dfsg\d+$// \
	http://polymake.org/doku.php/download/start \
	//polymake.org/lib/exe/fetch.php/download/polymake@ANY_VERSION@-minimal.tar.bz2

## polymake 3.1

=== debian/changelog ===
polymake (3.1-5) unstable; urgency=medium

  * Bug fix: "polymake FTBFS with gcc 7", thanks to Adrian Bunk (Closes:
    #871929).
  * Disable "no-format" in config.pl; fix clash with hardening flags

 -- David Bremner <bremner@debian.org>  Tue, 15 Aug 2017 08:50:03 -0300

polymake (3.1-4) unstable; urgency=medium

  * bump debhelper compat level to 10
  * Assert compliance with policy 4.0.0
  * update Vcs-git header to use https
  * rebuild against liblrsgmp1

 -- David Bremner <bremner@debian.org>  Tue, 04 Jul 2017 23:16:51 -0300

polymake (3.1-3) unstable; urgency=medium

  * rebuild for unstable

 -- David Bremner <bremner@debian.org>  Sun, 25 Jun 2017 12:29:11 -0300

polymake (3.1-2) experimental; urgency=medium

  * disable -march=native

 -- David Bremner <bremner@debian.org>  Mon, 12 Jun 2017 13:44:59 -0300

polymake (3.1-1) experimental; urgency=medium

  * New upstream release

 -- David Bremner <bremner@debian.org>  Mon, 24 Apr 2017 20:29:12 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: math
 Priority: optional
 Maintainer: David Bremner <bremner@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 10),
                libbliss-dev,
                libboost-dev,
                libcdd-dev (>= 094g~),
@@ -10,11 +10,12 @@
                liblrsgmp-dev,
                libmpfr-dev,
                libperl-dev,
-               libxml2-dev
-Standards-Version: 3.9.6
+	       libxml2-dev,
+	       node-uglify
+Standards-Version: 4.0.0
 Homepage: http://www.polymake.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/polymake.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/polymake.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/polymake.git
 
 Package: polymake
 Architecture: any-amd64 any-i386 alpha arm64 hppa hurd-i386 m68k mips64el powerpc ppc64 ppc64el s390x sh4 sparc64 x32
@@ -29,7 +30,7 @@
          ${perl:Depends},
          ${shlibs:Depends}
 Recommends: gfan, graphviz, iceweasel | chromium | conkeror, sketch, xdg-utils
-Suggests: povray, texlive-pictures
+Suggests: povray, texlive-pictures, jupyter-core, jupyter-notebook
 Description: Tool for algorithmic discrete geometry
  Polymake started out as a tool for the algorithmic treatment of convex
  polyhedra. By now it also deals with finite simplicial complexes,

=== debian/rules ===
--- 
+++ 
@@ -24,11 +24,16 @@
 
 export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
 
-%:
+JS:=three.js Detector.js renderers/CanvasRenderer.js renderers/Projector.js
+JS+=renderers/SVGRenderer.js controls/TrackballControls.js
+JSSOURCE=$(addprefix external/js/,${JS})
+
+build build-arch build-indep binary binary-arch binary-indep clean:
 	dh $@ --max-parallel="${MAX_CPUS}"
 
 override_dh_auto_configure:
 	./configure --prefix=/usr --without-java --without-callable --without-ppl\
+		--without-native \
 		CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}" \
 		LDFLAGS="${LDFLAGS}" CXXOPT="${CXXOPT}"
 
@@ -41,3 +46,7 @@
 
 override_dh_perl:
 	dh_perl usr/lib/polymake/perlx
+
+override_dh_auto_build:
+	uglifyjs ${JSSOURCE} -c -m -o external/js/three.polymake.js
+	dh_auto_build

## polymake 3.2r2

=== Makefile ===
#  Copyright (c) 1997-2018
#  Ewgenij Gawrilow, Michael Joswig (Technische Universitaet Berlin, Germany)
#  http://www.polymake.org
#
#  This program is free software; you can redistribute it and/or modify it
#  under the terms of the GNU General Public License as published by the
#  Free Software Foundation; either version 2, or (at your option) any
#  later version: http://www.gnu.org/licenses/gpl.txt.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#-----------------------------------------------------------------------------

#
#  Mostly forwarding to ninja, for backward compatibility reasons
#
.PHONY: all install docs release-docs clean distclean test

NINJA := ninja

override DeveloperMode := $(wildcard support/export.make)
override BuildRoot := $(firstword $(wildcard build.${Arch}) build)
_BuildDir = ${BuildRoot}/$(if $(filter Debug=y% Debug=Y%, ${MAKEFLAGS}),Debug,Opt)

# DESTDIR is often specified as make parameter but ninja doesnt support this
# and we forward it via an environment variable
ifdef $(DESTDIR)
	export DESTDIR
endif

all install :
	${NINJA} -C $(_BuildDir) $@

test : all
	perl/polymake --script run_testcases

docs : all
	perl/polymake --script generate_docs ${BuildRoot}/doc
	$(if ${DeveloperMode}, perl/polymake --script doxygen ${BuildRoot}/doc/PTL >/dev/null 2>&1)

release-docs : all
	perl/polymake --ignore-config --script generate_docs

clean :
	${NINJA} -C $(_BuildDir) clean.all
	${NINJA} -C $(_BuildDir) -t clean all
	rm -rf ${BuildRoot}/doc

distclean:
	rm -rf build build.*

ifdef DeveloperMode
  include support/export.make
endif

=== bundled/javaview/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#  Copyright (c) 1997-2015
+#  Copyright (c) 1997-2018
 #  Ewgenij Gawrilow, Michael Joswig (Technische Universitaet Berlin, Germany)
 #  http://www.polymake.org
 #

=== debian/changelog ===
polymake (3.2r2-3) unstable; urgency=medium

  * install polymake-config manpage again (missing in 3.2r2-1, -2)
  * re-enable all arches.

 -- David Bremner <bremner@debian.org>  Wed, 28 Feb 2018 15:04:16 -0400

polymake (3.2r2-2) unstable; urgency=medium

  * Disable one test output check in i386; needs some smarter definition
    of floating point equality.
  * Use "-g1" for minimal debug symbols are armhf, mips, mipsel. Attempt to avoid OOM on buildds.

 -- David Bremner <bremner@debian.org>  Tue, 27 Feb 2018 08:40:10 -0400

polymake (3.2r2-1) unstable; urgency=medium

  [ Benjamin Lorenz ]
  * update to 3.2
  * activate callable library
  * enable ppl interface again
  * enable libsingular interface
  [ David Bremner ]
  * Enable test suite
  * Split  into common, dev, and library packages

 -- David Bremner <bremner@debian.org>  Sun, 25 Feb 2018 08:17:13 -0400

=== debian/control ===
Source: polymake
Section: math
Priority: optional
Maintainer: David Bremner <bremner@debian.org>
Build-Depends: debhelper (>= 10),
               libbliss-dev,
               libboost-dev,
               libcdd-dev (>= 094g~),
               libgmp-dev,
               liblrsgmp-dev,
               libmpfr-dev,
               libnormaliz-dev,
               libperl-dev,
               libppl-dev,
               libsingular4-dev,
               libxml2-dev,
               libterm-readkey-perl <!nocheck>,
               libterm-readline-gnu-perl <!nocheck>,
               libxml-libxml-perl <!nocheck>,
               libxml-libxslt-perl <!nocheck>,
               libxml-writer-perl <!nocheck>,
               ninja-build,
               node-uglify,
               pkg-config
Standards-Version: 4.0.0
Homepage: http://www.polymake.org/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/polymake.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/polymake.git

Package: polymake
Architecture: any
Depends: polymake-common (= ${source:Version}),
         libpolymake-dev-common (= ${source:Version}),
         ninja-build,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gfan, graphviz, iceweasel | chromium | conkeror, sketch, xdg-utils
Suggests: povray, texlive-pictures
Description: Tool for algorithmic discrete geometry
 Polymake started out as a tool for the algorithmic treatment of convex
 polyhedra. By now it also deals with finite simplicial complexes,
 tight spans of finite metric spaces, polyhedral surfaces, and other
 discrete mathematical objects.
 .
 This package contains the core module and the application modules.

Package: polymake-common
Architecture: all
Depends: libpolymake-dev-common (= ${source:Version}),
         g++,
         libterm-readkey-perl,
         libterm-readline-gnu-perl,
         libxml-libxml-perl,
         libxml-libxslt-perl,
         libxml-writer-perl,
         ${perl:Depends},
         ${misc:Depends}
Replaces: polymake (<< 3.2)
Breaks: polymake (<< 3.2)
Description: Tool for algorithmic discrete geometry -- shared files
 Polymake started out as a tool for the algorithmic treatment of convex
 polyhedra. By now it also deals with finite simplicial complexes,
 tight spans of finite metric spaces, polyhedral surfaces, and other
 discrete mathematical objects.
 .
 This package contains architecture independent material.

Package: libpolymake3.2
Provides: libpolymake
Section: libs
Architecture: any
Conflicts: libpolymake
Depends: polymake-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: polymake (<< 3.2)
Breaks: polymake (<< 3.2)
Description: Tool for algorithmic discrete geometry -- library package
 Polymake started out as a tool for the algorithmic treatment of convex
 polyhedra. By now it also deals with finite simplicial complexes,
 tight spans of finite metric spaces, polyhedral surfaces, and other
 discrete mathematical objects.
 .
 This package contains shared libraries.

Package: libpolymake-dev
Section: libdevel
Architecture: any
Depends: libpolymake3.2 (= ${binary:Version}),
         libpolymake-dev-common (= ${source:Version}),
         ${misc:Depends}
Replaces: polymake (<< 3.2)
Breaks: polymake (<< 3.2)
Description: Tool for algorithmic discrete geometry -- development package
 Polymake started out as a tool for the algorithmic treatment of convex
 polyhedra. By now it also deals with finite simplicial complexes,
 tight spans of finite metric spaces, polyhedral surfaces, and other
 discrete mathematical objects.
 .
 This package contains shared library symlinks.


Package: libpolymake-dev-common
Section: libdevel
Architecture: all
Depends: libgmp-dev,
         libmpfr-dev,
         ${misc:Depends}
Replaces: polymake (<< 3.2)
Breaks: polymake (<< 3.2)
Description: Tool for algorithmic discrete geometry -- common dev package
 Polymake started out as a tool for the algorithmic treatment of convex
 polyhedra. By now it also deals with finite simplicial complexes,
 tight spans of finite metric spaces, polyhedral surfaces, and other
 discrete mathematical objects.
 .
 This package contains common header files.

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
 WEAK_ARCHES="mips mipsel armhf"
 ifneq (,$(findstring ${ARCH},${WEAK_ARCHES}))
-CXXOPT="-O1"
+CXXOPT=-O1 -g1
 else
 CXXOPT="-O2"
 endif
@@ -32,21 +32,21 @@
 	dh $@ --max-parallel="${MAX_CPUS}"
 
 override_dh_auto_configure:
-	./configure --prefix=/usr --without-java --without-callable --without-ppl\
+	./configure --prefix=/usr --without-java \
 		--without-native \
 		CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}" \
 		LDFLAGS="${LDFLAGS}" CXXOPT="${CXXOPT}"
 
 override_dh_auto_test:
-	# do nothing
+	 HOME=$$(mktemp -p build -d) perl perl/polymake --script run_testcases --emacs-style
 
 override_dh_auto_clean:
 	# avoid calling configure to clean
-	rm -rf build.*
+	rm -rf build
 
 override_dh_perl:
 	dh_perl usr/lib/polymake/perlx
 
 override_dh_auto_build:
-	uglifyjs ${JSSOURCE} -c -m -o external/js/three.polymake.js
-	dh_auto_build
+	uglifyjs ${JSSOURCE} -c -m -o resources/threejs/js/three.polymake.js
+	ninja -C build/Opt all -j${MAX_CPUS}

## polymake 3.2r4

=== debian/changelog ===
polymake (3.2r4-4) unstable; urgency=medium

  * Upload to unstable

 -- David Bremner <bremner@debian.org>  Mon, 14 Jan 2019 06:36:07 -0400

polymake (3.2r4-3) experimental; urgency=medium

  * Re-build against the unified arithmetic lrslib

 -- David Bremner <bremner@debian.org>  Wed, 09 Jan 2019 21:02:21 -0400

polymake (3.2r4-2) unstable; urgency=medium

  * re-enable all arches. "architecture mismatch makes libpolymake-dev
    uninstallable", thanks to Jeremy Bicha (Closes: #914845).

 -- David Bremner <bremner@debian.org>  Tue, 27 Nov 2018 20:45:34 -0400

polymake (3.2r4-1) unstable; urgency=medium

  * New upstream release.
  * install polymake-config manpage again (missing in 3.2r2-1, -2)
  * Bug fix: "[polymake] FTBFS with boost1.67", thanks to Giovanni
    Mascellani (Closes: #911949).
  * Bug fix: "polymake FTBFS: test failure", thanks to Adrian Bunk
    (Closes: #912174).
  * Add runtime dependency on sensible-utils, to use "sensible-browser"

 -- David Bremner <bremner@debian.org>  Mon, 26 Nov 2018 18:44:59 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                libboost-dev,
                libcdd-dev (>= 094g~),
                libgmp-dev,
-               liblrsgmp-dev,
+               liblrs-dev,
                libmpfr-dev,
                libnormaliz-dev,
                libperl-dev,
@@ -24,8 +24,8 @@
                pkg-config
 Standards-Version: 4.0.0
 Homepage: http://www.polymake.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/polymake.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/polymake.git
+Vcs-Browser: https://salsa.debian.org/bremner/polymake.git
+Vcs-Git: https://salsa.debian.org/bremner/polymake.git
 
 Package: polymake
 Architecture: any
@@ -53,6 +53,7 @@
          libxml-libxml-perl,
          libxml-libxslt-perl,
          libxml-writer-perl,
+         sensible-utils,
          ${perl:Depends},
          ${misc:Depends}
 Replaces: polymake (<< 3.2)

=== debian/rules ===
--- 
+++ 
@@ -49,4 +49,4 @@
 
 override_dh_auto_build:
 	uglifyjs ${JSSOURCE} -c -m -o resources/threejs/js/three.polymake.js
-	ninja -C build/Opt all -j${MAX_CPUS}
+	ninja -v -C build/Opt all -j${MAX_CPUS}

## polymake 4.0

=== debian/changelog ===
polymake (4.0-2ubuntu1) focal; urgency=medium

  * Force term=linux

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Feb 2020 12:35:39 +0100

polymake (4.0-2) unstable; urgency=medium

  [ Benjamin Lorenz ]
  * New upstream version 4.0.
  * Add dependencies for flint and MongoDB interfaces.
  * Full singular is needed at runtime.
  * Remove libxml-perl and libxslt-perl deps and add libjson-perl due
    to file format change.
  * libxml-writer-perl is still needed for the x3d interface.
  * libxml-sax-perl for reading the old xml file format.
  * Bug fix: "polymake: FTBFS: test failure", thanks to Mattia Rizzolo
    (Closes: #949247)
  * Assert compliance with policy 4.5.0

  [ David Bremner ]
  * use single-debian-patch to work from salsa.
  * Cut number of compile processes in half, use 4G per process.

 -- David Bremner <bremner@debian.org>  Thu, 06 Feb 2020 19:46:45 -0400

=== debian/control ===
--- 
+++ 
@@ -7,22 +7,21 @@
                libboost-dev,
                libcdd-dev (>= 094g~),
                libgmp-dev,
+               libflint-dev,
+               libjson-perl,
                liblrs-dev,
                libmpfr-dev,
                libnormaliz-dev,
                libperl-dev,
                libppl-dev,
                libsingular4-dev,
-               libxml2-dev,
                libterm-readkey-perl <!nocheck>,
                libterm-readline-gnu-perl <!nocheck>,
-               libxml-libxml-perl <!nocheck>,
-               libxml-libxslt-perl <!nocheck>,
-               libxml-writer-perl <!nocheck>,
+               libxml-sax-perl <!nocheck>,
                ninja-build,
                node-uglify,
                pkg-config
-Standards-Version: 4.0.0
+Standards-Version: 4.5.0
 Homepage: http://www.polymake.org/
 Vcs-Browser: https://salsa.debian.org/bremner/polymake.git
 Vcs-Git: https://salsa.debian.org/bremner/polymake.git
@@ -34,8 +33,10 @@
          ninja-build,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: gfan, graphviz, iceweasel | chromium | conkeror, sketch, xdg-utils
-Suggests: povray, texlive-pictures
+Replaces: polymake-common (<< 4.0)
+Breaks: polymake-common (<< 4.0)
+Recommends: gfan, graphviz, iceweasel | chromium | conkeror, xdg-utils
+Suggests: povray, texlive-latex-extra, texlive-pictures
 Description: Tool for algorithmic discrete geometry
  Polymake started out as a tool for the algorithmic treatment of convex
  polyhedra. By now it also deals with finite simplicial complexes,
@@ -48,12 +49,13 @@
 Architecture: all
 Depends: libpolymake-dev-common (= ${source:Version}),
          g++,
+         libjson-perl,
+         libmongodb-perl,
          libterm-readkey-perl,
          libterm-readline-gnu-perl,
-         libxml-libxml-perl,
-         libxml-libxslt-perl,
          libxml-writer-perl,
          sensible-utils,
+         singular,
          ${perl:Depends},
          ${misc:Depends}
 Replaces: polymake (<< 3.2)
@@ -66,7 +68,7 @@
  .
  This package contains architecture independent material.
 
-Package: libpolymake3.2
+Package: libpolymake4.0
 Provides: libpolymake
 Section: libs
 Architecture: any
@@ -87,7 +89,7 @@
 Package: libpolymake-dev
 Section: libdevel
 Architecture: any
-Depends: libpolymake3.2 (= ${binary:Version}),
+Depends: libpolymake4.0 (= ${binary:Version}),
          libpolymake-dev-common (= ${source:Version}),
          ${misc:Depends}
 Replaces: polymake (<< 3.2)
@@ -104,7 +106,8 @@
 Package: libpolymake-dev-common
 Section: libdevel
 Architecture: all
-Depends: libgmp-dev,
+Depends: libflint-dev,
+         libgmp-dev,
          libmpfr-dev,
          ${misc:Depends}
 Replaces: polymake (<< 3.2)

=== debian/rules ===
--- 
+++ 
@@ -3,16 +3,18 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
-CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
 CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
+CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
 LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
-# 2G per CPU seems OK.
+# 4G per CPU seems OK.
 ifeq ($(wildcard /proc/meminfo),)
 	MAX_CPUS=1
 else
-	MAX_CPUS=$(shell awk '/^MemTotal/ { print int($$2/(2048*1024)+0.5) }' /proc/meminfo)
+	MAX_CPUS=$(shell awk '/^MemTotal/ { print int($$2/(4096*1024)+0.5) }' /proc/meminfo)
 endif
+
+export TERM=linux
 
 ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
 WEAK_ARCHES="mips mipsel armhf"

## polymake 4.1

=== debian/changelog ===
polymake (4.1-4build1) groovy; urgency=medium

  * No-change rebuild against libflint-2.6.3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 17 Aug 2020 08:19:31 +0000

polymake (4.1-4) unstable; urgency=medium

  * Really upload to unstable

 -- David Bremner <bremner@debian.org>  Wed, 05 Aug 2020 10:50:19 -0300

polymake (4.1-3) experimental; urgency=medium

  * upload to unstable
  * Bug fix: "FTBFS: pool_allocator.h:36:19: error: ‘typedef std::size_t
    __gnu_cxx::__pool_alloc_base::size_t’ is private within this context",
    thanks to Lucas Nussbaum (Closes: #966910).

 -- David Bremner <bremner@debian.org>  Wed, 05 Aug 2020 07:41:22 -0300

polymake (4.1-2) experimental; urgency=medium

  * New upstream version.
  * Build against lrslib 0.71

 -- David Bremner <bremner@debian.org>  Sat, 01 Aug 2020 15:30:45 -0300

polymake (4.0r1-3) unstable; urgency=medium

  * add mips64el to WEAK_ARCHES; use lower optimization levels.
  * don't build-depend on libnormaliz-dev and libflint-dev on mipsel.
  * fix typo in libnormaliz-dev build-dep s/!mip64el/!mips64el/

 -- David Bremner <bremner@debian.org>  Sun, 03 May 2020 16:32:14 -0300

polymake (4.0r1-2) unstable; urgency=medium

  * Also disable gold linker, flint, and normaliz on mipsel, fix FTBFS.

 -- David Bremner <bremner@debian.org>  Fri, 01 May 2020 21:59:58 -0300

polymake (4.0r1-1) unstable; urgency=medium

  * New upstream bugfix release
  * Bug fix: "test failure on mips64el", thanks to Benjamin Lorenz for the
    fix (Closes: #951151).
  * Upstream Bug fix: "FTBFS if terminal is unset", thanks to Gianfranco Costamagna
    (Closes: #951137).

 -- David Bremner <bremner@debian.org>  Thu, 30 Apr 2020 10:23:43 -0300

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: polymake
 Section: math
 Priority: optional
-Maintainer: David Bremner <bremner@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: David Bremner <bremner@debian.org>
 Build-Depends: debhelper (>= 10),
                libbliss-dev,
                libboost-dev,
                libcdd-dev (>= 094g~),
                libgmp-dev,
-               libflint-dev,
+               libflint-dev [!mips64el !mipsel],
                libjson-perl,
-               liblrs-dev,
+               liblrs-dev (>= 0.71~),
                libmpfr-dev,
-               libnormaliz-dev,
+               libnormaliz-dev [!mips64el !mipsel],
                libperl-dev,
                libppl-dev,
                libsingular4-dev,
@@ -68,7 +69,7 @@
  .
  This package contains architecture independent material.
 
-Package: libpolymake4.0
+Package: libpolymake4.1
 Provides: libpolymake
 Section: libs
 Architecture: any
@@ -89,7 +90,7 @@
 Package: libpolymake-dev
 Section: libdevel
 Architecture: any
-Depends: libpolymake4.0 (= ${binary:Version}),
+Depends: libpolymake4.1 (= ${binary:Version}),
          libpolymake-dev-common (= ${source:Version}),
          ${misc:Depends}
 Replaces: polymake (<< 3.2)

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+include /usr/share/dpkg/architecture.mk
 
 CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
 CFLAGS=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
@@ -14,14 +15,15 @@
 	MAX_CPUS=$(shell awk '/^MemTotal/ { print int($$2/(4096*1024)+0.5) }' /proc/meminfo)
 endif
 
-export TERM=linux
-
-ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
-WEAK_ARCHES="mips mipsel armhf"
-ifneq (,$(findstring ${ARCH},${WEAK_ARCHES}))
+WEAK_ARCHES="mips mipsel mips64el armhf"
+ifneq (,$(findstring ${DEB_BUILD_ARCH},${WEAK_ARCHES}))
 CXXOPT=-O1 -g1
 else
 CXXOPT="-O2"
+endif
+ifneq (,$(findstring ${DEB_BUILD_ARCH},mipsel mips64el))
+export DEB_LDFLAGS_MAINT_APPEND=-fuse-ld=bfd
+EXTRA_CONFIG_FLAGS=--without-flint --without-libnormaliz
 endif
 
 export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
@@ -36,6 +38,7 @@
 override_dh_auto_configure:
 	./configure --prefix=/usr --without-java \
 		--without-native \
+		${EXTRA_CONFIG_FLAGS} \
 		CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}" \
 		LDFLAGS="${LDFLAGS}" CXXOPT="${CXXOPT}"

## polymake 4.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
-#  Copyright (c) 1997-2018
-#  Ewgenij Gawrilow, Michael Joswig (Technische Universitaet Berlin, Germany)
-#  http://www.polymake.org
+#  Copyright (c) 1997-2020
+#  Ewgenij Gawrilow, Michael Joswig, and the polymake team
+#  Technische Universität Berlin, Germany
+#  https://polymake.org
 #
 #  This program is free software; you can redistribute it and/or modify it
 #  under the terms of the GNU General Public License as published by the
@@ -16,7 +17,7 @@
 #
 #  Mostly forwarding to ninja, for backward compatibility reasons
 #
-.PHONY: all install docs release-docs clean distclean test
+.PHONY: all install clean distclean test
 
 NINJA := ninja
 
@@ -36,13 +37,6 @@
 test : all
 	perl/polymake --script run_testcases
 
-docs : all
-	perl/polymake --script generate_docs ${BuildRoot}/doc
-	$(if ${DeveloperMode}, perl/polymake --script doxygen ${BuildRoot}/doc/PTL >/dev/null 2>&1)
-
-release-docs : all
-	perl/polymake --ignore-config --script generate_docs
-
 clean :
 	${NINJA} -C $(_BuildDir) clean.all
 	${NINJA} -C $(_BuildDir) -t clean all

=== bundled/javaview/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
-#  Copyright (c) 1997-2018
-#  Ewgenij Gawrilow, Michael Joswig (Technische Universitaet Berlin, Germany)
-#  http://www.polymake.org
+#  Copyright (c) 1997-2020
+#  Ewgenij Gawrilow, Michael Joswig, and the polymake team
+#  Technische Universität Berlin, Germany
+#  https://polymake.org
 #
 #  This program is free software; you can redistribute it and/or modify it
 #  under the terms of the GNU General Public License as published by the

=== debian/changelog ===
polymake (4.3-4) unstable; urgency=medium

  * Bug fix: "VISUAL with threejs fails", thanks to Joachim Zobel (Closes:
    #986381).

 -- David Bremner <bremner@debian.org>  Wed, 07 Apr 2021 11:56:59 -0300

polymake (4.3-3) unstable; urgency=medium

  * Disable relative volume test when flint is missing (Closes: #981252).
  * Bug fix: "man page mentions outdated file argument", thanks to Joachim
    Zobel for the report, and Benjamin Lorenz for the update (Closes: #977722).

 -- David Bremner <bremner@debian.org>  Fri, 29 Jan 2021 20:45:56 -0400

polymake (4.3-2) unstable; urgency=medium

  * Source only upload

 -- David Bremner <bremner@debian.org>  Wed, 20 Jan 2021 07:13:08 -0400

polymake (4.3-1) unstable; urgency=medium

  * New upstream version
  * Bug fix: "node-uglify is deprecated in favor of uglifyjs", thanks to
    yadd@debian.org; (Closes: #979939).

 -- David Bremner <bremner@debian.org>  Mon, 18 Jan 2021 18:50:25 -0400

polymake (4.1-5) unstable; urgency=medium

  * Use gcc 10 on arm64  (Closes: #974058).
  * Acknowledge NMU

 -- David Bremner <bremner@debian.org>  Thu, 03 Dec 2020 17:01:46 -0400

polymake (4.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use GCC 9 on arm64.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Nov 2020 09:28:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: polymake
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: David Bremner <bremner@debian.org>
+Maintainer: David Bremner <bremner@debian.org>
 Build-Depends: debhelper (>= 10),
                libbliss-dev,
                libboost-dev,
@@ -20,7 +19,7 @@
                libterm-readline-gnu-perl <!nocheck>,
                libxml-sax-perl <!nocheck>,
                ninja-build,
-               node-uglify,
+               uglifyjs,
                pkg-config
 Standards-Version: 4.5.0
 Homepage: http://www.polymake.org/
@@ -69,7 +68,7 @@
  .
  This package contains architecture independent material.
 
-Package: libpolymake4.1
+Package: libpolymake4.3
 Provides: libpolymake
 Section: libs
 Architecture: any
@@ -90,7 +89,7 @@
 Package: libpolymake-dev
 Section: libdevel
 Architecture: any
-Depends: libpolymake4.1 (= ${binary:Version}),
+Depends: libpolymake4.3 (= ${binary:Version}),
          libpolymake-dev-common (= ${source:Version}),
          ${misc:Depends}
 Replaces: polymake (<< 3.2)

=== debian/rules ===
--- 
+++ 
@@ -28,8 +28,7 @@
 
 export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
 
-JS:=three.js Detector.js renderers/CanvasRenderer.js renderers/Projector.js
-JS+=renderers/SVGRenderer.js controls/TrackballControls.js
+JS:= three.js OrbitControls.js Projector.js SVGRenderer.js TrackballControls.js WebGL.js
 JSSOURCE=$(addprefix external/js/,${JS})
 
 build build-arch build-indep binary binary-arch binary-indep clean:
